This page is a wiki. Please login or create an account to begin editing.


Fantasm 5


Rating:
No votes yet
Category:
Year released:
Author:
Publisher:
#1
[www].se [ftp].se [mirror].us
Fantasm_5.3.sit (7.74 MB)
MD5: c255000f018e21c6211c6ccb90a282f8
For System 7.0 - 7.6 - Mac OS 9
Emulation
Guides on emulating older applications

68k/PowerPC Assembler for the Macintosh.

Fantasm 5 produces code that can run on any 680x0 machine (including 68000 and 040) and any PowerPC (including 32-bit 40x, 601, 603, 604, G3, G4, including AltiVec, and 64-bit 620 code). It can produce native PowerPC code in both environments.

AltiVec support requires version 5.3 or higher.

Starting with version 5.1, a new tool called LXT is compatible with Fantasm. It translates 68k code into PPC code via macros (which can be changed at will), for ease of porting, and allowing the developer to manually adjust the end result to remove translation bloat and include optimizations.

The download is Fantasm 5.3, full CD version, with registration keys included. LXT 1.0.x is also included in the installation, which, if possible, is best if updated to version 2.00, because it contains greater 68k-to-PPC optimizations missing from this version. However, LXT 2 is missing (LXT2.00Apr99.sit.hqx), so if anyone still has it, please kindly upload it here!

See also: Fantasm 2, Fantasm 3, Fantasm 4 & PowerFantasm 4, Fantasm 6.

Compatibility
Architecture: 68k PPC

Macintosh or Power Macintosh